MacWrtProParserInternal::Token Struct Reference

Internal: a struct used to store a text zone. More...

## Public Member Functions

| Token ()

## Public Attributes

int | m_type
| the type
int | m_length
| the text length
int | m_blockId
| the block id
MWAWBox2f | m_box
| the bdbox ( filled in MWII for figure)
unsigned int | m_flags [4]
| some flags

## Friends

std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<<

## Detailed Description

Internal: a struct used to store a text zone.

## Constructor & Destructor Documentation

## Token()

MacWrtProParserInternal::Token::Token | ( |  | ) |

inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Token const & | tkn )

friend

operator<<

## Member Data Documentation

## m_blockId

int MacWrtProParserInternal::Token::m_blockId

the block id

Referenced by operator<<, MacWrtProParser::readTextTokens(), and Token().

## m_box

MWAWBox2f MacWrtProParserInternal::Token::m_box

the bdbox ( filled in MWII for figure)

Referenced by MacWrtProParser::readTextTokens(), and Token().

## m_flags

unsigned int MacWrtProParserInternal::Token::m_flags[4]

some flags

Referenced by operator<<, MacWrtProParser::readTextTokens(), and Token().

## m_length

int MacWrtProParserInternal::Token::m_length

the text length

Referenced by operator<<, MacWrtProParser::readTextTokens(), and Token().

## m_type

int MacWrtProParserInternal::Token::m_type

the type

Referenced by operator<<, MacWrtProParser::readTextTokens(), and Token().

The documentation for this struct was generated from the following file:

- MacWrtProParser.cxx